N = 4000;
nu_e = 8000;  // freq d'echantillonnage

// génération d'un signal harmonique de frequence fondamentale nu0
// et de longueur N
// Le signal x a un spectre de raies regulierement espacees de nu0
n=0:N-1;
nu0 = 150;
x = zeros(1,N);
for k=1:20
  x = x + (1/k)*sin(2*%pi*k*nu0/nu_e*n);
end
// écriture dans un fichier son
// il faut que les x(n) soient entre -1 et +1
// et que x soit un vecteur ligne
wavwrite(0.2*x/max(abs(x)),8000,"harmonique.wav");
// attention aux oreilles en l'écoutant

// lecture d'un fichier son
y = wavread("sa1.wav");
n1 = 13000; n2 = 14000;
// affichage d'un morceau de voyelle
scf(); plot(n1:n2,y(n1:n2));
